%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           poker-engine
Version:        1.0.25
Release:        1
Summary:        Python library that implements poker rules

Group:          Development/Libraries
License:        GPL
URL:            http://pokersource.org/poker-engine
Source0:        http://download.gna.org/pokersource/sources/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  rsync libxml2 libxslt pypoker-eval-devel >= 128.0
Requires:       rsync libxml2 libxslt pypoker-eval >= 128.0

%description
This is a python library that implements poker rules according
to variants and betting structures specified in configuration files.
It designed to be used by a multiplayer poker server, a poker AI or a
poker client.

%package devel
Summary:        Poker rule implementation library development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pypoker-eval-devel

%description devel
This package contains files required to build applications that use
poker-engine.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%check
make %{?_smp_mflags} check VERBOSE_T=-1

 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_mandir}/man8/*.8.gz
%{_sbindir}/pokerconfigupgrade
%{_datadir}/%{name}
%{python_sitelib}/pokerengine
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*

%files devel
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.25-1
- Initial release
